LDCONFIG(8)

NAME
ldconfig - link-editor configuration

SYNOPSIS
/usr/etc/ldconfig [ directory ... ]

DESCRIPTION
ldconfig is used to configure a performance-enhancing cache for the run-time link-editor, ld.so. It is run from /etc/rc.local and periodically via cron to avoid linking with stale libraries. It should be also be run manually when a new shared object (e.g., a shared library) is installed on the system.

When invoked with no arguments, a default set of directories are built into the cache - these are the directories searched by default by the link editors. Additional directories may be specified on the command line.

FILES
/etc/ld.so.cache
    holds the cached data.

SEE ALSO
ld(1)